function y = simula(m, k, theta, y0, v0, rate, s)
n = length(m);        % costruisco la matrice K
K = diag(k(1:n)+k(2:n+1)) - diag(k(2:n),-1) - diag(k(2:n),1);
A = zeros(2*n,2*n);   % costruisco la matrice A
A(1:n, n+1:2*n) = eye(n);
A(n+1:2*n, 1:n) = -diag(1./m)*K;
A(n+1:2*n, n+1:2*n) = -diag(theta./m);
w = [y0; v0];         % formo le condizioni iniziali
B = expm((1/rate)*A); % calcolo esponenziale
y = cell(2,1);
y{1} = zeros(n,rate*s);
y{2} = zeros(n,rate*s);
for i=1:rate*s-1
    w = B*w;
    y{1}(1:n,i) = w(1:n);
    y{2}(1:n,i) = w(n+1:end);
end
end